F Secure Browsing Protection showing as 'LEGACY' in Firefox

Novice

F Secure Browsing Protection showing as 'LEGACY' in Firefox

Firefox is warning me that the Browser Protection Extension is out of date and my be disabled (it has tried to once already).

 

What is F-Secure doing to resolve this issue?

 

Antivirus 17.193 build 128
Online Safety 2.193 build 6267
Ultralight 2.0 build 457
User Interface 20.00 build 332

 

Firefox 55.0.3

13 REPLIES 13
Highlighted
Superuser

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox


@JanD54 wrote:

Firefox is warning me that the Browser Protection Extension is out of date and my be disabled (it has tried to once already).

 

What is F-Secure doing to resolve this issue?

 

Antivirus 17.193 build 128
Online Safety 2.193 build 6267
Ultralight 2.0 build 457
User Interface 20.00 build 332

 

Firefox 55.0.3


Hello,

 

Sorry for my reply. I'm also only F-Secure user (their home solutions);

 

As my unofficial suggestion:

 

F-Secure do/did something based on SAFE_BUG-01893 (or maybe some else ones);

I do not able to re-check it on current time, but after  TP Release 198 under my one of systems -> Firefox did not show such 'legacy'-label under Addons; If I remember good;

 

If you're able to re-check it with recent FS Protection build: maybe it possible to re-sure; But anyway -> good to receive official response (and/or for stable builds).

 

Thanks!

F-Secure

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

Hi

 

The Firefox warning about legacy extension meant that the Browsing Protection extension was using "old" apis instead of webextensions api based approach which Firefox is slowly enforcing extension developers to go. The current Firefox schedule is such that starting of Firefox 57 the old type extensions are not supported anymore. The Browsing Protection extension was updated to webextensions api based approach on TP198, so that legacy warning should not be visible anymore.

 

Jouni

(F-Secure R&D)

Senior Member

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

 


@JanD54 wrote:

Firefox is warning me that the Browser Protection Extension is out of date and my be disabled (it has tried to once already).

 

What is F-Secure doing to resolve this issue?

 

Antivirus 17.193 build 128
Online Safety 2.193 build 6267
Ultralight 2.0 build 457
User Interface 20.00 build 332

 

Firefox 55.0.3


Is this about F-Secure SAFE or FS Protection, btw?

Scholar

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

Well, actually the legacy warning is still visible.

I have just installed the Browsing protection extension. It's version 1.0.801, last updated at December 13, 2016. When I click "Check for Updates", Firefox tells me there are no updates found.

Scholar

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

I just installed F-Secure SAFE in place of Kaspersky. I'm loving the antivirus performance, but I missed the extension in Firefox 57.

I hope you can solve this problem as soon as possible and I hope the protection is as good as the performance.

Sorry for my English.

F-Secure

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

Hi swesterveld, the extension version you are referring to looks like Mac product extension, so are you using Windows or Mac? The latest Windows extension version should be 2.202.7041. The Mac product's extension is not yet migrated to Firefox 57 compatible.

 

-Jouni

F-Secure

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

Hi Adauto. Firefox version 57 is not yet the official released one, but in beta/dev edition stage. Mozilla has made it so that beta/dev Firefox uses different Windows registry hives than the official release, so the extension install info is missing there as we don't currently support it. So I would either suggest using official Firefox release (currently 56), or if you want to play around with dev edition, you can manually drag-drop the extension file to opened browser. The extension file can be found from folder <F-Secure install folder>\apps\Ultralight\nif\<id>\browser\install\fs_firefox_https\ . Do note however, that if one manually installs/modifies extension state in official Firefox release, it may not be programmatically updateable after that.

 

-Jouni

Scholar

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

That explains why I still have a legacy version, as I'm using macOS indeed.
Any idea when I should be able to migrate to a new version with support for the WebExtension API of Firefox? Firefox won't support legacy extensions any longer from version 57, which will be released at November 14th.

F-Secure

Re: F Secure Browsing Protection showing as 'LEGACY' in Firefox

Hi,

 

we have a new Firefox 57-compatible extension in development for Mac as well, we will release it as an FS Protection upgrade soon.